com.icesoft.faces.component.paneltooltip

## Class TooltipInfo

- java.lang.Object
- - com.icesoft.faces.component.paneltooltip.TooltipInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class TooltipInfo
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooltipInfo()`
    `TooltipInfo(java.lang.String[] info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSrc()`
    `java.lang.String` | `getState()`
    `java.lang.String` | `getX()`
    `java.lang.String` | `getY()`
    `boolean` | `isEventFired()`
    `void` | `populateValues(java.lang.String[] info)`
    `void` | `setEventFired(boolean eventFired)`
    `void` | `setSrc(java.lang.String src)`
    `void` | `setState(java.lang.String state)`
    `void` | `setX(java.lang.String x)`
    `void` | `setY(java.lang.String y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TooltipInfo

          public TooltipInfo()

    - #### TooltipInfo

          public TooltipInfo(java.lang.String[] info)

  - ### Method Detail

    - #### populateValues

          public void populateValues(java.lang.String[] info)

    - #### getSrc

          public java.lang.String getSrc()

    - #### setSrc

          public void setSrc(java.lang.String src)

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState(java.lang.String state)

    - #### getX

          public java.lang.String getX()

    - #### setX

          public void setX(java.lang.String x)

    - #### getY

          public java.lang.String getY()

    - #### setY

          public void setY(java.lang.String y)

    - #### isEventFired

          public boolean isEventFired()

    - #### setEventFired

          public void setEventFired(boolean eventFired)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.